# Class TpaCleanupSystem

java.lang.Object
com.hypixel.hytale.component.system.System<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>
com.hypixel.hytale.component.system.tick.TickingSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>
com.hypixel.hytale.component.system.tick.ArchetypeTickingSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>
com.hypixel.hytale.component.system.tick.EntityTickingSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>
net.miarma.hystuff.system.TpaCleanupSystem

All Implemented Interfaces:
  `com.hypixel.hytale.component.system.ISystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>, com.hypixel.hytale.component.system.QuerySystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>, com.hypixel.hytale.component.system.tick.TickableSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`

public class TpaCleanupSystem extends com.hypixel.hytale.component.system.tick.EntityTickingSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>

## Nested Class Summary

### Nested classes/interfaces inherited from class com.hypixel.hytale.component.system.tick.EntityTickingSystem

`com.hypixel.hytale.component.system.tick.EntityTickingSystem.SystemTaskData<ECS_TYPE>`

## Field Summary

### Fields inherited from interface com.hypixel.hytale.component.system.ISystem

`EMPTY_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`TpaCleanupSystem()`

## Method Summary

Modifier and Type
Method
Description
`com.hypixel.hytale.component.query.Query<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`
`getQuery()`
`void`
`tick(float dt, int i, com.hypixel.hytale.component.ArchetypeChunk<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> chunk, com.hypixel.hytale.component.Store<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> store, com.hypixel.hytale.component.CommandBuffer<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> commandBuffer)`

### Methods inherited from class com.hypixel.hytale.component.system.tick.EntityTickingSystem

`doTick, isParallel, maybeUseParallel, tick, useParallel`

### Methods inherited from class com.hypixel.hytale.component.system.tick.ArchetypeTickingSystem

`isExplicitQuery, test, tick`

### Methods inherited from class com.hypixel.hytale.component.system.System

`getComponentRegistrations, getResourceRegistrations, registerComponent, registerComponent, registerComponent, registerResource, registerResource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.hypixel.hytale.component.system.ISystem

`getDependencies, getGroup, onSystemRegistered, onSystemUnregistered`

## Constructor Details

### TpaCleanupSystem

public TpaCleanupSystem()

## Method Details

### getQuery

@NullableDecl public com.hypixel.hytale.component.query.Query<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> getQuery()

### tick

public void tick(float dt, int i, @NonNullDecl com.hypixel.hytale.component.ArchetypeChunk<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> chunk, @NonNullDecl com.hypixel.hytale.component.Store<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> store, @NonNullDecl com.hypixel.hytale.component.CommandBuffer<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> commandBuffer)

Specified by:
  `tick` in class `com.hypixel.hytale.component.system.tick.EntityTickingSystem<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`